from typing import List
from process_handler import ProcessHandler
# import time

""" Author: Ondrej Borysek, License: MIT, Last update: 2021-04-19"""


def usage_example() -> None:
    command_to_execute: List[str] = ["base64"]
    input_str: str = f"Lorem ipsum from stdin"
    return_code, outs, errs = ProcessHandler.run(command_to_execute, input_str=input_str, print_output=True)

    assert return_code == 0
    assert "TG9yZW0gaXBzdW0gZnJvbSBzdGRpbg==" in outs  # beware different newlines based on system
    assert len(errs) == 0

    print("Tests OK")


# If you are going to execute multiple commands / multiple times, add some sleep to not spam the terminal and CPU.
# time.sleep(1)  # wait 1 second


usage_example()
